org.apache.storm.pmml.model.jpmml

## Class JpmmlModelOutputs

- java.lang.Object
- - org.apache.storm.pmml.model.jpmml.JpmmlModelOutputs

- All Implemented Interfaces:
    Serializable, ModelOutputs

      public class JpmmlModelOutputs
      extends Object
      implements ModelOutputs

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpmmlModelOutputs(Map<String,? extends Fields> declaredFields)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,? extends Fields>` | `streamFields()` Stream fields.
    `static ModelOutputs` | `toDefaultStream(File pmmlModel)`
    `static ModelOutputs` | `toDefaultStream(InputStream pmmlModel)`
    `static ModelOutputs` | `toDefaultStream(org.dmg.pmml.PMML pmmlModel)` Factory method that creates an instance of `ModelOutputs` that declares the `predicted` and `output` fields specified in the `PMML` model specified as argument into the `default` stream.
    `static ModelOutputs` | `toDefaultStream(String blobKey)`
    `static ModelOutputs` | `toDefaultStream(String blobKey, Map<String,Object> config)`
    `static ModelOutputs` | `toStreams(File pmmlModel, List<String> streams)`
    `static ModelOutputs` | `toStreams(InputStream pmmlModel, List<String> streams)`
    `static ModelOutputs` | `toStreams(org.dmg.pmml.PMML pmmlModel, List<String> streams)` Factory method that creates an instance of `ModelOutputs` that declares the `predicted` and `output` fields specified in the `PMML` model specified as argument into the list of streams specified.
    `static ModelOutputs` | `toStreams(String blobKey, List<String> streams)`
    `static ModelOutputs` | `toStreams(String blobKey, Map<String,Object> config, List<String> streams)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.pmml.model.ModelOutputs

      `streams`

- - ### Constructor Detail

    - #### JpmmlModelOutputs

          public JpmmlModelOutputs(Map<String,? extends Fields> declaredFields)

  - ### Method Detail

    - #### streamFields

          public Map<String,? extends Fields> streamFields()

      Description copied from interface: `ModelOutputs`

      Stream fields.

      Specified by:
        `streamFields` in interface `ModelOutputs`
      Returns:
        a map with the output fields declared for each stream by the `PMMLPredictorBolt`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDefaultStream

          public static ModelOutputs toDefaultStream(org.dmg.pmml.PMML pmmlModel)

      Factory method that creates an instance of `ModelOutputs` that declares the `predicted` and `output` fields specified in the `PMML` model specified as argument into the `default` stream.

    - #### toDefaultStream

          public static ModelOutputs toDefaultStream(File pmmlModel)

    - #### toDefaultStream

          public static ModelOutputs toDefaultStream(InputStream pmmlModel)

    - #### toDefaultStream

          public static ModelOutputs toDefaultStream(String blobKey)

    - #### toDefaultStream

          public static ModelOutputs toDefaultStream(String blobKey,
                                                     Map<String,Object> config)

    - #### toStreams

          public static ModelOutputs toStreams(org.dmg.pmml.PMML pmmlModel,
                                               List<String> streams)

      Factory method that creates an instance of `ModelOutputs` that declares the `predicted` and `output` fields specified in the `PMML` model specified as argument into the list of streams specified.

    - #### toStreams

          public static ModelOutputs toStreams(File pmmlModel,
                                               List<String> streams)

    - #### toStreams

          public static ModelOutputs toStreams(InputStream pmmlModel,
                                               List<String> streams)

    - #### toStreams

          public static ModelOutputs toStreams(String blobKey,
                                               List<String> streams)

    - #### toStreams

          public static ModelOutputs toStreams(String blobKey,
                                               Map<String,Object> config,
                                               List<String> streams)

Copyright © 2019 The Apache Software Foundation. All rights reserved.